Summary: lesstif
Name: lesstif
Version: 0.89.0
Release: 1
Group: X11/Libraries
Copyright: LGPL
Url: http://www.lesstif.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.hungry.com/pub/hungry/lesstif/srcdist/lesstif-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
Lesstif is an API compatible clone of the Motif toolkit.
Currently Lesstif is partially implemented with most of the API in place.
Having said this, some of the internal functionality is still missing.
Many Motif applications compile and run out-of-the-box with LessTif,
and we want to hear about those that don't.

%package mwm
Summary: Lesstif Motif window manager clone based on fvwm
Group: X11/Window Managers
%description mwm
MWM is a window manager that adheres largely to the Motif mwm specification.

%package clients
Summary: lesstif clients
Group: X11/Applications
%description clients
Uil and xmbind.

%package devel
Group: Development/Libraries
Summary: static library and header files for Lesstif development
%description devel
This package contains the lesstif static library and header files
required to develop motif-1.2-based applications, as well as 
mxmkmf for Lesstif.


%prep
%setup -q


%build
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"
export CFLAGS=$RPM_OPT_FLAGS
./configure \
	--prefix=/usr/X11R6 --enable-shared --enable-static --with-gnu-ld \
	--enable-build-12 --disable-build-20 --enable-default-12 \
	--enable-production --disable-debug --disable-maintainer-mode
#	--enable-build-Xlt --enable-build-Xbae \
#	--with-motif-includes=$PWD/include/Motif-1.2 \
#	--with-motif-libraries=$PWD/lib/Xm/.libs

$MAKE


%install
rm -rf $RPM_BUILD_ROOT
make install-strip prefix=$RPM_BUILD_ROOT/usr/X11R6

(
	cd $RPM_BUILD_ROOT/usr/X11R6
	rm -f include/{Mrm,Xm}
	mv LessTif/Motif1.2/include/{Mrm,Xm} include
	rm -f lib/lib{Mrm,Xm}.*
	mv LessTif/Motif1.2/lib/lib{Mrm,Xm}.* lib
	rm -rf LessTif/Motif1.2
	strip lib/lib*.so.*

	mv LessTif/doc/man .
)

# These are %doc files
mv $RPM_BUILD_ROOT/usr/X11R6/LessTif .; rm -rf LessTif/doc

mkdir -p $RPM_BUILD_ROOT/etc/X11
ln -sf ../../usr/X11R6/lib/X11/mwm $RPM_BUILD_ROOT/etc/X11/mwm

# Re-generate config files to co-exist with those XFree86 provides
(
	cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/config
	rm -f Imake.tmpl
	perl -ne ' 
	    if( /#include <Imake.rules>/ ){              
		print $_;
		print "#include <Motif-lesstif.tmpl>\n";
		print "#include <Motif-lesstif.rules>\n";
	    }
	    elsif ( /IMAKE_CMD = \$\(IMAKE\)/ ){
		print STDERR "found\n";
		s|\$\(IMAKE\)|\$(IMAKE) -T Imake-lesstif.tmpl|;
		print $_;
	    }
	    else {
		print $_;
	    } ' \
	< /usr/X11R6/lib/X11/config/Imake.tmpl > Imake-lesstif.tmpl

	mv Motif.rules Motif-lesstif.rules
	mv Motif.tmpl  Motif-lesstif.tmpl
)

# Re-generate mxmkmf accordingly
sed -e 's/imake $args/imake -T Imake-lesstif.tmpl $args/' \
	< /usr/X11R6/bin/xmkmf > $RPM_BUILD_ROOT/usr/X11R6/bin/mxmkmf
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/bin/mxmkmf


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc LessTif/*
/usr/X11R6/lib/lib*.so.*
/usr/X11R6/man/man1/lesstif.1

%files mwm
%defattr(-,root,root)
%config /usr/X11R6/lib/X11/mwm
%config /usr/X11R6/lib/X11/app-defaults/Mwm
/etc/X11/mwm
/usr/X11R6/bin/mwm
/usr/X11R6/man/man1/mwm.1
/usr/X11R6/man/man5/mwmrc.5

%files clients
%defattr(-,root,root)
/usr/X11R6/bin/uil
/usr/X11R6/bin/xmbind
/usr/X11R6/man/man1/xmbind.1

%files devel
%defattr(-,root,root)
%config /usr/X11R6/lib/X11/config/*
/usr/X11R6/bin/mxmkmf
/usr/X11R6/include/*
/usr/X11R6/lib/lib*.a
/usr/X11R6/lib/lib*.la
/usr/X11R6/lib/lib*.so
/usr/X11R6/man/man3/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Mar 14 1999 Hao Li <hli@wag.caltech.edu>
- lesstif-0.88.0-1.
- Based on spec file from Hungry with lots of clean-up and addition.
- All %doc included into lesstif package and removed from the other three.
- Patch to enable automatic Xlt build.
